Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.NORMALIZERESULT

    java.lang.Object
      java.lang.Enum<Skype.NORMALIZERESULT>
          com.skype.api.Skype.NORMALIZERESULT

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Skype.NORMALIZERESULT>

Enclosing class:
  Skype

    public static enum Skype.NORMALIZERESULT

extends java.lang.Enum<Skype.NORMALIZERESULT>

Enum Constant Summary
`IDENTITY_CONTAINS_INVALID_CHAR`
`IDENTITY_EMPTY`
`IDENTITY_OK`
`IDENTITY_TOO_LONG`
`PSTN_NUMBER_HAS_INVALID_PREFIX` identity looks like pstn number but does not start with +/00/011
`PSTN_NUMBER_TOO_SHORT`
`SKYPENAME_SHORTER_THAN_6_CHARS` returned only when isNewSkypeName
`SKYPENAME_STARTS_WITH_NONALPHA`

Method Summary
`static Skype.NORMALIZERESULT` | `fromString(java.lang.String s)`
`static Skype.NORMALIZERESULT` | `get(int code)`
`int` | `getId()`
`static Skype.NORMALIZERESULT` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.NORMALIZERESULT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDENTITY_OK

    public static final Skype.NORMALIZERESULT IDENTITY_OK

### IDENTITY_EMPTY

    public static final Skype.NORMALIZERESULT IDENTITY_EMPTY

### IDENTITY_TOO_LONG

    public static final Skype.NORMALIZERESULT IDENTITY_TOO_LONG

### IDENTITY_CONTAINS_INVALID_CHAR

    public static final Skype.NORMALIZERESULT IDENTITY_CONTAINS_INVALID_CHAR

### PSTN_NUMBER_TOO_SHORT

    public static final Skype.NORMALIZERESULT PSTN_NUMBER_TOO_SHORT

### PSTN_NUMBER_HAS_INVALID_PREFIX

    public static final Skype.NORMALIZERESULT PSTN_NUMBER_HAS_INVALID_PREFIX

  identity looks like pstn number but does not start with +/00/011

### SKYPENAME_STARTS_WITH_NONALPHA

    public static final Skype.NORMALIZERESULT SKYPENAME_STARTS_WITH_NONALPHA

### SKYPENAME_SHORTER_THAN_6_CHARS

    public static final Skype.NORMALIZERESULT SKYPENAME_SHORTER_THAN_6_CHARS

  returned only when isNewSkypeName

Method Detail

### values

    public static Skype.NORMALIZERESULT[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.NORMALIZERESULT c : Skype.NORMALIZERESULT.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.NORMALIZERESULT valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Skype.NORMALIZERESULT get(int code)

### fromString

    public static Skype.NORMALIZERESULT fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.